/* 
 ####################################################
 # 2016 by http://liveelectronics.musinou.net/ #
 ####################################################
 4 MIDI controled LEDs 
 */

//leds
int led1 = 14;
int led2 = 15;
int led3 = 16;
int led4 = 17;
const int controlLed1 = 60;
const int controlLed2 = 61;
const int controlLed3 = 62;
const int controlLed4 = 63;

void setup() 
{
  pinMode(led1, OUTPUT);
  pinMode(led2, OUTPUT);
  pinMode(led3, OUTPUT);
  pinMode(led4, OUTPUT);

  usbMIDI.setHandleControlChange(OnControlChange);
}

void loop() {
  usbMIDI.read(); 
}

void OnControlChange(byte channel, byte control, byte value) 
{

  switch(control)
  {
  case controlLed1:
    {
      if (value > 0)
      {
        digitalWrite(led1, LOW);
      }
      else
      {
        digitalWrite(led1, HIGH);
      }

      break; 
    }
  case controlLed2:
    {
      if (value > 0)
      {
        digitalWrite(led2, LOW);
      }
      else
      {
        digitalWrite(led2, HIGH);
      }

      break; 
    }
  case controlLed3:
    {
      if (value > 0)
      {
        digitalWrite(led3, LOW);
      }
      else
      {
        digitalWrite(led3, HIGH);
      }

      break; 
    }
  case controlLed4:
    {
      if (value > 0)
      {
        digitalWrite(led4, LOW);
      }
      else
      {
        digitalWrite(led4, HIGH);
      }

      break; 
    }
  }
}

